//
// MBED Application Board
// Lightweight C12832 LCD library
// 2014, Alexander Medvedev, @medvdv
//

//
// Nice proportional font with 8px height
//
 
const unsigned char lcd_font8p_widths[] = {
    2, 1, 3, 5, 5, 5, 5, 1, 2, 2, 5, 5, 4,
    5, 5, 5, 5, 5, 5, 5, 5, 5, 5, 5, 5, 5, 4, 4, 6, 5, 6, 5, 6, 5, 5, 5, 5, 5, 5, 5, 5, 3,
    5, 5, 5, 5, 5, 5, 5, 5, 5, 5, 5, 5, 5, 5, 5, 5, 5, 4, 5, 5, 5, 5, 4, 4, 4, 4, 4, 4, 4, 4, 4,
    1, 3, 4, 1, 5, 4, 4, 4, 4, 4, 4, 4, 4, 5, 5, 5, 4, 4, 4, 2, 4, 5, 4,
    5, 5, 5, 5, 1, 3, 3, 5, 5, 4, 4, 5, 5, 5, 5, 5, 5, 5, 5, 5 
};

const unsigned char * lcd_font8p[] = {
    (const unsigned char[]){ 0x00, 0x00 },
    (const unsigned char[]){ 0x2F },
    (const unsigned char[]){ 0x03, 0x00, 0x03 },
    (const unsigned char[]){ 0x14, 0x3E, 0x14, 0x3E, 0x14 },
    (const unsigned char[]){ 0x24, 0x6A, 0x3E, 0x2B, 0x12 },
    (const unsigned char[]){ 0x22, 0x10, 0x08, 0x04, 0x22 },
    (const unsigned char[]){ 0x14, 0x2A, 0x2A, 0x14, 0x20 },
    (const unsigned char[]){ 0x03 },
    (const unsigned char[]){ 0x1E, 0x21 },
    (const unsigned char[]){ 0x21, 0x1E },
    (const unsigned char[]){ 0x14, 0x08, 0x3E, 0x08, 0x14 },
    (const unsigned char[]){ 0x08, 0x08, 0x3E, 0x08, 0x08 },
    (const unsigned char[]){ 0x00, 0x80, 0x70, 0x30 },
    (const unsigned char[]){ 0x08, 0x08, 0x08, 0x08, 0x08 },
    (const unsigned char[]){ 0x00, 0x00, 0x30, 0x30, 0x00 },
    (const unsigned char[]){ 0x20, 0x10, 0x08, 0x04, 0x02 },
    (const unsigned char[]){ 0x1E, 0x31, 0x2D, 0x23, 0x1E },
    (const unsigned char[]){ 0x00, 0x00, 0x02, 0x3F, 0x00 },
    (const unsigned char[]){ 0x22, 0x31, 0x29, 0x25, 0x22 },
    (const unsigned char[]){ 0x12, 0x21, 0x25, 0x25, 0x1A },
    (const unsigned char[]){ 0x18, 0x14, 0x12, 0x3F, 0x10 },
    (const unsigned char[]){ 0x17, 0x25, 0x25, 0x25, 0x19 },
    (const unsigned char[]){ 0x1E, 0x25, 0x25, 0x25, 0x18 },
    (const unsigned char[]){ 0x01, 0x01, 0x39, 0x05, 0x03 },
    (const unsigned char[]){ 0x1A, 0x25, 0x25, 0x25, 0x1A },
    (const unsigned char[]){ 0x06, 0x29, 0x29, 0x29, 0x1E },
    (const unsigned char[]){ 0x00, 0x00, 0x36, 0x36 },
    (const unsigned char[]){ 0x00, 0x80, 0x76, 0x36 },
    (const unsigned char[]){ 0x08, 0x08, 0x14, 0x14, 0x22, 0x22 },
    (const unsigned char[]){ 0x14, 0x14, 0x14, 0x14, 0x14 },
    (const unsigned char[]){ 0x22, 0x22, 0x14, 0x14, 0x08, 0x08 },
    (const unsigned char[]){ 0x02, 0x01, 0x29, 0x05, 0x02 },
    (const unsigned char[]){ 0x3E, 0x41, 0x5D, 0x55, 0x5E, 0x20 },
    (const unsigned char[]){ 0x3E, 0x09, 0x09, 0x09, 0x3E },
    (const unsigned char[]){ 0x3F, 0x25, 0x25, 0x25, 0x1A },
    (const unsigned char[]){ 0x1E, 0x21, 0x21, 0x21, 0x12 },
    (const unsigned char[]){ 0x3F, 0x21, 0x21, 0x22, 0x1C },
    (const unsigned char[]){ 0x3F, 0x25, 0x25, 0x25, 0x21 },
    (const unsigned char[]){ 0x3F, 0x05, 0x05, 0x05, 0x01 },
    (const unsigned char[]){ 0x1E, 0x21, 0x21, 0x29, 0x1A },
    (const unsigned char[]){ 0x3F, 0x04, 0x04, 0x04, 0x3F },
    (const unsigned char[]){ 0x21, 0x3F, 0x21 },
    (const unsigned char[]){ 0x18, 0x20, 0x21, 0x1F, 0x01 },
    (const unsigned char[]){ 0x3F, 0x04, 0x04, 0x0A, 0x31 },
    (const unsigned char[]){ 0x3F, 0x20, 0x20, 0x20, 0x20 },
    (const unsigned char[]){ 0x3F, 0x02, 0x04, 0x02, 0x3F },
    (const unsigned char[]){ 0x3F, 0x02, 0x04, 0x08, 0x3F },
    (const unsigned char[]){ 0x1E, 0x21, 0x21, 0x21, 0x1E },
    (const unsigned char[]){ 0x3F, 0x09, 0x09, 0x09, 0x06 },
    (const unsigned char[]){ 0x1E, 0x21, 0x29, 0x31, 0x3E },
    (const unsigned char[]){ 0x3F, 0x09, 0x09, 0x19, 0x26 },
    (const unsigned char[]){ 0x12, 0x25, 0x25, 0x25, 0x1A },
    (const unsigned char[]){ 0x01, 0x01, 0x3F, 0x01, 0x01 },
    (const unsigned char[]){ 0x1F, 0x20, 0x20, 0x20, 0x1F },
    (const unsigned char[]){ 0x03, 0x0C, 0x30, 0x0C, 0x03 },
    (const unsigned char[]){ 0x1F, 0x20, 0x18, 0x20, 0x1F },
    (const unsigned char[]){ 0x21, 0x12, 0x0C, 0x12, 0x21 },
    (const unsigned char[]){ 0x03, 0x04, 0x38, 0x04, 0x03 },
    (const unsigned char[]){ 0x31, 0x29, 0x25, 0x23, 0x21 },
    (const unsigned char[]){ 0x00, 0x3F, 0x21, 0x21 },
    (const unsigned char[]){ 0x02, 0x04, 0x08, 0x10, 0x20 },
    (const unsigned char[]){ 0x00, 0x00, 0x21, 0x21, 0x3F },
    (const unsigned char[]){ 0x04, 0x02, 0x01, 0x02, 0x04 },
    (const unsigned char[]){ 0x20, 0x20, 0x20, 0x20, 0x20 },
    (const unsigned char[]){ 0x00, 0x01, 0x03, 0x04 },
    (const unsigned char[]){ 0x10, 0x2A, 0x2A, 0x3C },
    (const unsigned char[]){ 0x3F, 0x24, 0x22, 0x1C },
    (const unsigned char[]){ 0x1C, 0x22, 0x22, 0x14 },
    (const unsigned char[]){ 0x1C, 0x22, 0x24, 0x3F },
    (const unsigned char[]){ 0x1C, 0x2A, 0x2A, 0x2C },
    (const unsigned char[]){ 0x3E, 0x09, 0x01, 0x02 },
    (const unsigned char[]){ 0x0C, 0x52, 0x4A, 0x3C },
    (const unsigned char[]){ 0x3F, 0x04, 0x02, 0x3C },
    (const unsigned char[]){ 0x3D },
    (const unsigned char[]){ 0x40, 0x40, 0x3D },
    (const unsigned char[]){ 0x3F, 0x08, 0x0C, 0x32 },
    (const unsigned char[]){ 0x3F },
    (const unsigned char[]){ 0x3C, 0x02, 0x3C, 0x02, 0x3C },
    (const unsigned char[]){ 0x3C, 0x02, 0x02, 0x3C },
    (const unsigned char[]){ 0x1C, 0x22, 0x22, 0x1C },
    (const unsigned char[]){ 0x7E, 0x22, 0x22, 0x1C },
    (const unsigned char[]){ 0x1C, 0x22, 0x22, 0x7E },
    (const unsigned char[]){ 0x02, 0x3C, 0x02, 0x02 },
    (const unsigned char[]){ 0x24, 0x2A, 0x2A, 0x12 },
    (const unsigned char[]){ 0x02, 0x1F, 0x22, 0x22 },
    (const unsigned char[]){ 0x1E, 0x20, 0x20, 0x3E },
    (const unsigned char[]){ 0x06, 0x18, 0x20, 0x3C, 0x02 },
    (const unsigned char[]){ 0x1E, 0x20, 0x1C, 0x20, 0x1E },
    (const unsigned char[]){ 0x22, 0x14, 0x08, 0x14, 0x22 },
    (const unsigned char[]){ 0x0E, 0x50, 0x50, 0x3E },
    (const unsigned char[]){ 0x22, 0x32, 0x2A, 0x26 },
    (const unsigned char[]){ 0x00, 0x08, 0x36, 0x41 },
    (const unsigned char[]){ 0x00, 0x7F },
    (const unsigned char[]){ 0x00, 0x41, 0x36, 0x08 },
    (const unsigned char[]){ 0x08, 0x04, 0x08, 0x10, 0x08 },
    (const unsigned char[]){ 0x2A, 0x55, 0x2A, 0x55 },              // 127 
    (const unsigned char[]){ 0x1c, 0x22, 0x22, 0x22, 0x1c },        // 128 Radio off
    (const unsigned char[]){ 0x1c, 0x3e, 0x3e, 0x3e, 0x1c },        // 129 Radio on
    (const unsigned char[]){ 0x3e, 0x22, 0x22, 0x22, 0x3e },        // 130 Checkbox off
    (const unsigned char[]){ 0x3e, 0x3e, 0x3e, 0x3e, 0x3e },        // 131 Checkbox on 
    (const unsigned char[]){ 0x00 },                                // 132 Short space
    (const unsigned char[]){ 0x3e, 0x1c, 0x08 },                    // 133 Play
    (const unsigned char[]){ 0x3e, 0x00, 0x3e },                    // 134 Pause
    (const unsigned char[]){ 0x3e, 0x1c, 0x3e, 0x1c, 0x08 },        // 135 Forward
    (const unsigned char[]){ 0x08, 0x1c, 0x3e, 0x1c, 0x3e },        // 136 Reverse
    (const unsigned char[]){ 0x3e, 0x08, 0x1c, 0x3e, },             // 137 Begin
    (const unsigned char[]){ 0x3e, 0x1c, 0x08, 0x3e, },             // 138 End
    (const unsigned char[]){ 0x3e, 0x00, 0x3e, 0x1c, 0x08 },        // 139 Play+Pause
    (const unsigned char[]){ 0x1c, 0x22, 0x2e, 0x22, 0x1c },        // 140 Clock (0)
    (const unsigned char[]){ 0x1c, 0x22, 0x2a, 0x26, 0x1c },        // 141 Clock (1)
    (const unsigned char[]){ 0x1c, 0x22, 0x2a, 0x2a, 0x1c },        // 142 Clock (2)
    (const unsigned char[]){ 0x1c, 0x22, 0x2a, 0x32, 0x1c },        // 143 Clock (3)     
    (const unsigned char[]){ 0x1c, 0x22, 0x3a, 0x22, 0x1c },        // 144 Clock (4)     
    (const unsigned char[]){ 0x1c, 0x32, 0x2a, 0x22, 0x1c },        // 145 Clock (5)     
    (const unsigned char[]){ 0x1c, 0x2a, 0x2a, 0x22, 0x1c },        // 146 Clock (6)     
    (const unsigned char[]){ 0x1c, 0x26, 0x2a, 0x22, 0x1c },        // 147 Clock (7)     
};
 